Subject: Re: linux-next: arm build failures

From: Stephen Rothwell <[email-masked]>
Date: Wed, 17 Jun 2009 23:08:04 +1000

Hi Catalin,

On Wed, 17 Jun 2009 09:34:31 +0100 Catalin Marinas <[email-masked]> wrote:
>
> Stephen Rothwell <[email-masked]> wrote:
> > Over the past few days, I have started getting some arm configs (at least
> > iop13xx_defconfig and integrator_defconfig, but some others) failing to
> > build getting this error:
> >
> >   SYSMAP  System.map
> >   SYSMAP  .tmp_System.map
> > Inconsistent kallsyms data
> > Try setting CONFIG_KALLSYMS_EXTRA_PASS
> >
> > Is this something you have seen?  Could it be my toolchain (I am
> > currently using gcc 4.4.0 and have not changed it recently)?
> 
> I reported an error with kallsysms on ARM this Monday leading to
> inconsistent data:
> 
> http://lkml.org/lkml/2009/6/15/233
> 
> Could it be related?

Could be.  I have added the proposed fix patch to my fixes tree until
Linus or Sam gets around to including it.

-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/